package dep

import (
	"kpt-pasture/module/backend"

	"go.uber.org/dig"
)

func DIHttpDependency() (out *HttpDependency) {
	container := DI()
	if err := container.Invoke(func(dep HttpDependency) {
		out = &dep
	}); err != nil {
		panic(err)
	}
	return
}

type HttpDependency struct {
	dig.In

	// util
	//Sentry *sentry.Client

	// module
	//Content    llscontent.Content       // Content 内容获取服务
	//DataCenter llsdatacenter.DataCenter // DMP 数据中心

	StoreEventHub backend.Hub
}
