package dep

import (
	"kpt-pasture/service/mqtt"

	"go.uber.org/dig"
)

func DIMqtt() (out MqttDependency) {
	container := DI()
	if err := container.Invoke(func(c MqttDependency) { out = c }); err != nil {
		panic(err)
	}
	return
}

type MqttDependency struct {
	dig.In

	DataEventEntry mqtt.DataEvent
}

/*func DIMqtt() (out MqttDependency) {
	container := DI()
	if err := container.Provide(MqttDependency); err != nil {
		panic(err)
	}
	if err := container.Invoke(func(c *mqtt2.MqttServer) { out = c }); err != nil {
		panic(err)
	}
	return
}

type MqttDependency struct {
	dig.In

	//DataEventEntry mqtt.DataEvent
	MqttClient mqtt2.MqttServer
}
*/
