package model

import pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"

type CowActiveHabit struct {
	Id                       int64                 `json:"id"`
	CowId                    int64                 `json:"cowId"`
	NeckRingNumber           string                `json:"neckRingNumber"`
	Lact                     int32                 `json:"lact"`
	FrameId                  int32                 `json:"frameId"`
	Rumina                   int32                 `json:"rumina"`
	Intake                   int32                 `json:"intake"`
	Inactive                 int32                 `json:"inactive"`
	Gasp                     int32                 `json:"gasp"`
	Other                    int32                 `json:"other"`
	High                     int32                 `json:"high"`
	Active                   int32                 `json:"active"`
	Voltage                  int32                 `json:"voltage"`
	Version                  int32                 `json:"version"`
	FilterHigh               int32                 `json:"filterHigh"`
	FilterRumina             int32                 `json:"filterRumina"`
	FilterChew               int32                 `json:"filterChew"`
	WeekHigh                 int32                 `json:"weekHigh"`
	WeekAvgHighHabit         int32                 `json:"weekAvgHighHabit"`
	WeekAvgRuminaHabit       int32                 `json:"WeekAvgRuminaHabit"`
	WeekAvgIntakeHabit       int32                 `json:"weekAvgIntakeHabit"`
	WeekAvgChewHabit         int32                 `json:"weekAvgChewHabit"`
	WeekAvgInactiveHabit     int32                 `json:"weekAvgInactiveHabit"`
	WeekAvgOtherHabit        int32                 `json:"weekAvgOtherHabit"`
	ChangeHigh               int32                 `json:"changeHigh"`
	ChangeRumina             int32                 `json:"changeRumina"`
	ChangeChew               int32                 `json:"changeChew"`
	ChangeAdjust             int32                 `json:"changeAdjust"`
	ChangeFilter             int32                 `json:"changeFilter"`
	RuminaFilter             int32                 `json:"ruminaFilter"`
	ChewFilter               int32                 `json:"chewFilter"`
	FilterCorrect            int32                 `json:"filterCorrect"`
	SumRumina                int32                 `json:"sumRumina"`
	SumIntake                int32                 `json:"sumIntake"`
	SumInactive              int32                 `json:"sumInactive"`
	SumAct                   int32                 `json:"sumAct"`
	SumRuminaBeforeThreeDays int32                 `json:"sumRuminaBeforeThreeDays"`
	SumIntakeBeforeThreeDays int32                 `json:"sumIntakeBeforeThreeDays"`
	MinHigh                  int32                 `json:"minHigh"`
	MaxHigh                  int32                 `json:"maxHigh"`
	MinChew                  int32                 `json:"minChew"`
	Score                    int32                 `json:"score"`
	IsMaxTime                pasturePb.IsShow_Kind `json:"isMaxTime"`
	ReceiveNumber            int32                 `json:"receiveNumber"`
	RecodeCount              int32                 `json:"recodeCount"`
	ActiveTime               string                `json:"activeTime"`
	CreatedAt                int64                 `json:"createdAt"`
	UpdatedAt                int64                 `json:"updatedAt"`
}

func (c *CowActiveHabit) TableName() string {
	return "cow_active_habit"
}
