package model

import "time"

type CronLog struct {
	Id        int64  `json:"id"`
	Name      string `json:"name"`
	Date      string `json:"date"`
	CreatedAt int64  `json:"created_at"`
	UpdatedAt int64  `json:"updated_at"`
}

func (c CronLog) TableName() string {
	return "cron_log"
}

func NewCronLog(name string) *CronLog {
	return &CronLog{
		Name: name,
		Date: time.Now().Format(LayoutDate2),
	}
}
