package model

type EventSale struct {
	Id            int64  `json:"id"`
	DealerId      int32  `json:"dealerId"`
	DealerName    string `json:"dealerName"`
	VehicleId     int32  `json:"vehicleId"`
	SalePrice     int32  `json:"salePrice"`
	SaleAllWeight int32  `json:"saleAllWeight"`
	SaleAllAmount int32  `json:"saleAllAmount"`
	SaleCowCount  int32  `json:"saleCowCount"`
	CowIds        string `json:"cowIds"`
	SaleAt        int64  `json:"saleAt"`
	Remarks       string `json:"remarks"`
	OperationId   int32  `json:"operationId"`
	OperationName string `json:"operationName"`
	MessageId     int64  `json:"messageId"`
	MessageName   string `json:"messageName"`
	CreatedAt     int64  `json:"createdAt"`
	UpdatedAt     int64  `json:"updatedAt"`
}

func (e *EventSale) TableName() string {
	return "event_sale"
}
