package backend

import (
	"kpt-pasture/model"

	pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"
)

func (s *StoreEntry) AdmissionStatusEnumList(isAll string) []*pasturePb.ConfigOptionsList {
	configOptions := make([]*pasturePb.ConfigOptionsList, 0)
	if isAll == model.IsAllYes {
		configOptions = append(configOptions,
			&pasturePb.ConfigOptionsList{
				Value:    int32(pasturePb.AuditStatus_Invalid),
				Label:    "全部",
				Disabled: true,
			})
	}
	configOptions = append(configOptions, &pasturePb.ConfigOptionsList{
		Value:    int32(pasturePb.AdmissionStatus_Admission),
		Label:    "在群",
		Disabled: true,
	}, &pasturePb.ConfigOptionsList{
		Value:    int32(pasturePb.AdmissionStatus_Die),
		Label:    "死亡",
		Disabled: true,
	}, &pasturePb.ConfigOptionsList{
		Value:    int32(pasturePb.AdmissionStatus_Out),
		Label:    "淘汰",
		Disabled: true,
	}, &pasturePb.ConfigOptionsList{
		Value:    int32(pasturePb.AdmissionStatus_Sale),
		Label:    "售卖",
		Disabled: true,
	}, &pasturePb.ConfigOptionsList{
		Value:    int32(pasturePb.AdmissionStatus_Transfer),
		Label:    "转出",
		Disabled: true,
	})
	return configOptions
}
