package cmd

import (
	"os"

	"github.com/spf13/cobra"
)

var RootCmd = &cobra.Command{
	Use:   "kptPasture",
	Short: "科湃腾牛群系统",
}

func Execute() {
	err := RootCmd.Execute()
	if err != nil {
		os.Exit(1)
	}
}

func init() {
	RootCmd.AddCommand(httpCmd)
	RootCmd.AddCommand(JobCmd)
	RootCmd.AddCommand(CrontabCmd)
	RootCmd.AddCommand(ConsumerCmd)
	RootCmd.AddCommand(MqttCmd)
}
