package config

import "testing"

func TestInitialize(t *testing.T) {
	type args struct {
		path      string
		cfgStruct interface{}
	}
	tests := []struct {
		name    string
		args    args
		wantErr bool
	}{
		{
			name: "AppName",
			args: args{
				path:      "app.test.yaml",
				cfgStruct: nil,
			},
			wantErr: false,
		},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			if err := Initialize(tt.args.path, tt.args.cfgStruct); (err != nil) != tt.wantErr {
				t.Errorf("Initialize() error = %v, wantErr %v", err, tt.wantErr)
			}
		})
	}
}
