package route

import (
	"github.com/gin-gonic/gin"
	"kpt-pasture/http/handler/dashboard"
)

func DashboardApi(opts ...func(engine *gin.Engine)) func(s *gin.Engine) {
	return func(s *gin.Engine) {
		for _, opt := range opts {
			opt(s)
		}
		// CowAPI API 组  牛只信息
		eventRoute := authRouteGroup(s, "/api/v1/dashboard/")
		eventRoute.GET("/bar", dashboard.Bar)
	}
}
