package model

type EventSaleVehicle struct {
	Id              int64  `json:"id"`
	DealerId        int32  `json:"dealerId"`
	DealerName      string `json:"dealerName"`
	SaleAt          int64  `json:"saleAt"`
	VehicleNumber   string `json:"vehicleNumber"`
	VehicleCowCount int32  `json:"vehicleCowCount"`
	CowIds          string `json:"cowIds"`
	Photo1          string `json:"photo1"`
	Photo2          string `json:"photo2"`
	Photo3          string `json:"photo3"`
	CreatedAt       int64  `json:"createdAt"`
	UpdatedAt       int64  `json:"updatedAt"`
}

func (e *EventSaleVehicle) TableName() string {
	return "event_sale_vehicle"
}
