package model

import pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"

type NeckRingOriginal struct {
	Id                 int64                         `json:"id"`
	Uuid               string                        `json:"uuid"`
	FrameId            int32                         `json:"frameId"`
	Low                int32                         `json:"low"`
	High               int32                         `json:"high"`
	Rumina             int32                         `json:"rumina"`
	Active             int32                         `json:"active"`
	Intake             int32                         `json:"intake"`
	Inactive           int32                         `json:"inactive"`
	Other              int32                         `json:"other"`
	Voltage            int32                         `json:"voltage"`
	Upper              int32                         `json:"upper"`
	Version            int32                         `json:"version"`
	Sign               int32                         `json:"sign"`
	Remain             int32                         `json:"remain"`
	Feed               int32                         `json:"feed"`
	Imei               string                        `json:"imei" `
	Temp               int32                         `json:"temp"`
	Gasp               int32                         `json:"gasp"`
	Hours              int32                         `json:"hours"`
	ActiveDate         string                        `json:"activeDate"`
	ActiveDateType     pasturePb.ActiveTimeType_Kind `json:"ActiveDateTimeType"`
	IsShow             pasturePb.IsShow_Kind         `json:"isShow"`
	ReceiveNumber      string                        `json:"receiveNumber"`
	ShortReceiveNumber string                        `json:"shortReceiveNumber"`
	CreatedAt          int64                         `json:"createdAt"`
	UpdatedAt          int64                         `json:"updatedAt"`
}

func (s *NeckRingOriginal) TableName() string {
	return "neck_ring_original"
}
