package mqtt

type Behavior struct {
	UUID      string `json:"uuid"`
	ECowId    string `json:"ecowid"`
	FrameId   int32  `json:"frameid"`
	High      int32  `json:"High"`
	Intake    int32  `json:"Intake"`
	RuMina    int32  `json:"Rumina"`
	Other     int32  `json:"Other"`
	Activitys int32  `json:"activitys"`
	Inactive  int32  `json:"inactive"`
	Sver      int32  `json:"Sver"`
	Remain    int32  `json:"Remain"`
	RFRssi    int32  `json:"RFRssi"`
	STATUS    int32  `json:"STATUS"`
	BAT       int32  `json:"BAT"`
	Imei      string `json:"imei"`
	Gasp      int32  `json:"gasp"`
}

type NeckRingWrapper struct {
	Type     string `json:"type"`
	NeckRing struct {
		NeckPck []*Behavior `json:"neck"` // neck_pck neck
	} `json:"NeckRing"`
}
